Forum > QT

When will Linuxes have the new version of libQt5Pas?

(1/4) > >>

AlexTP:
I use Lazarus latest dev version. And I got linker errors for CudaText Qt5 build - because linker cannot find newly added libQt5Pas import (added this week by Zeljko).

Error: /home/user/lazarus/lcl/interfaces//qt5/qtobject.inc:42: undefined reference to `QGuiApplication_setFallbackSessionManagementEnabled'

SUBJ?
(I use Ubuntu)

Zvoni:
Weird.....
QGuiApplication_setFallbackSessionManagementEnabled --> https://doc.qt.io/qt-5/qguiapplication.html#setFallbackSessionManagementEnabled

That said: i looked through the (available) c++-sourcecode (qguiapplication_c.h) and couldn't find it there either

EDIT: Found something:
https://code.woboq.org/qt5/qtbase/src/gui/kernel/qguiapplication.cpp.html#_ZN15QGuiApplication35setFallbackSessionManagementEnabledEb

zeljko:
IMO, distros are build only libQt5Pas with lazarus stable editions. You are using trunk, so build libQt5Pas on your own. There's no other way atm.

Thaddy:

--- Quote from: zeljko on March 01, 2022, 08:57:44 am ---IMO, distros are build only libQt5Pas with lazarus stable editions. You are using trunk, so build libQt5Pas on your own. There's no other way atm.

--- End quote ---
Indeed, you need to build trunk, although fpcupdeluxe makes this very easy fro beginners.

dbannon:

--- Quote from: zeljko on March 01, 2022, 08:57:44 am ---IMO, distros are build only libQt5Pas with lazarus stable editions. You are using trunk, so build libQt5Pas on your own. There's no other way atm.

--- End quote ---

I suspect the distros would accept libqt5pas as a separate application that could have a stable release any time Zeljko indicated. That would not get it into distros already released but would reduce the time lag in some cases.

Davo

Navigation

[0] Message Index

[#] Next page

Go to full version